{
  "name": "express-mongoose-es6-rest-api",
  "version": "1.0.0",
  "description": "A Boilerplate application for building REST APIs using express, mongoose in ES6 with code coverage",
  "author": "Kunal Kapadia <kunalkapadia12@gmail.com>",
  "main": "index.js",
  "private": false,
  "engines": {
    "node": ">=4.6.x",
    "npm": ">=2.15.x"
  },
  "scripts": {
    "start": "gulp serve",
    "build": "gulp",
    "lint": "esw *.js server config --color",
    "lint:watch": "npm run lint -- --watch",
    "test": "NODE_ENV=test babel-node node_modules/.bin/isparta cover _mocha -- --ui bdd --reporter spec --colors --compilers js:babel-core/register ./server/**/*.test.js",
    "test:watch": "npm run test -- --watch",
    "test:check-coverage": "npm run test && istanbul check-coverage",
    "report-coverage": "coveralls < ./coverage/lcov.info"
  },
  "repository": {
    "type": "git",
    "url": "git@github.com:KunalKapadia/express-mongoose-es6-rest-api.git"
  },
  "keywords": [
    "express",
    "node",
    "node.js",
    "mongodb",
    "mongoose",
    "es6",
    "mocha",
    "istanbul",
    "REST",
    "API",
    "boilerplate"
  ],
  "dependencies": {
    "bcryptjs": "2.3.0",
    "bluebird": "3.4.6",
    "body-parser": "1.15.2",
    "compression": "1.6.2",
    "cookie-parser": "1.4.3",
    "cors": "2.8.1",
    "debug": "^2.2.0",
    "express": "4.14.0",
    "express-jwt": "5.1.0",
    "express-validation": "1.0.1",
    "express-winston": "2.0.0",
    "helmet": "3.1.0",
    "http-status": "^0.2.0",
    "joi": "9.2.0",
    "jsonwebtoken": "7.1.9",
    "method-override": "^2.3.5",
    "mongoose": "4.6.7",
    "morgan": "1.7.0",
    "winston": "2.3.0"
  },
  "devDependencies": {
    "babel-cli": "6.18.0",
    "babel-core": "6.18.0",
    "babel-plugin-add-module-exports": "0.2.1",
    "babel-preset-es2015": "6.16.0",
    "babel-preset-stage-2": "6.18.0",
    "chai": "^3.4.1",
    "commitizen": "^2.8.2",
    "coveralls": "^2.11.6",
    "cz-conventional-changelog": "1.2.0",
    "del": "^2.2.0",
    "eslint": "3.10.0",
    "eslint-config-airbnb-base": "7.1.0",
    "eslint-plugin-import": "1.16.0",
    "eslint-watch": "2.1.14",
    "ghooks": "^1.2.4",
    "gulp": "3.9.1",
    "gulp-babel": "6.1.2",
    "gulp-load-plugins": "^1.2.0",
    "gulp-newer": "^1.1.0",
    "gulp-nodemon": "^2.0.6",
    "gulp-sourcemaps": "^1.6.0",
    "gulp-util": "^3.0.7",
    "isparta": "4.0.0",
    "mocha": "3.1.2",
    "run-sequence": "^1.1.5",
    "supertest": "2.0.1",
    "supertest-as-promised": "4.0.2",
    "validate-commit-msg": "^2.6.1"
  },
  "license": "MIT",
  "config": {
    "ghooks": {
      "pre-commit": "npm run lint && npm test"
    },
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "babel": {
    "presets": [
      "es2015",
      "stage-2"
    ],
    "plugins": [
      "add-module-exports"
    ]
  }
}
